      Module BaseModule
         
         Implicit None

         Integer :: KK
         
      Contains
         
         Subroutine BaseMethod(Name, iError)

            Character(16), Intent(IN) :: Name(KK)
            Integer, Intent(OUT) :: iError

            iError = 0

         End Subroutine BaseMethod
                  
         Subroutine BaseMethod_AssumedShape(Name, iError)

            Character(16), Intent(IN) :: Name(:)
            Integer, Intent(OUT) :: iError

            iError = 0

         End Subroutine BaseMethod_AssumedShape
         
      End Module BaseModule